/* InterfaceBuilder - IBConnectors.h
 * Copyright (c) 1995-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <Foundation/Foundation.h>
#import <AppKit/NSApplication.h>
#import <InterfaceBuilder/IBSystem.h>

@protocol IBConnectors <NSObject, NSCoding>
- (id)source;
- (id)destination;
- (NSString *)label;
- (void)replaceObject:(id)oldObject withObject:(id)newObject;
- (id)nibInstantiate;
- (void)establishConnection;
@end

/* Managing connections.  The following might be useful when
 * implementing your own connection inspector.
 */

@interface NSApplication (IBConnections)
- (id)connectSource;
- (id)connectDestination;
- (BOOL)isConnecting;
- (void)stopConnecting;
- (void)displayConnectionBetween:(id)source and:(id)destination;
@end

@interface NSObject (IBNibInstantiation)
- (id)nibInstantiate;
@end

/* Notifications. */

/* The notification object is the connector in question. */
IB_EXTERN NSString *IBWillAddConnectorNotification;
IB_EXTERN NSString *IBDidAddConnectorNotification;
IB_EXTERN NSString *IBWillRemoveConnectorNotification;
IB_EXTERN NSString *IBDidRemoveConnectorNotification;
