/* InterfaceBuilder - IBObjectAdditions.h
 * Copyright (c) 1995-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <InterfaceBuilder/IBDocuments.h>

@interface NSObject (IBObjectAdditions)
- (NSImage *)imageForViewer;
@end

@interface NSObject (IBCustomClasses)

/* Returns YES if `self' is a valid replacement class for
 * `originalObjectClass', NO otherwise. */
+ (BOOL)canSubstituteForClass:(Class)originalObjectClass;

/* Allows special behavior after the nib document has been loaded. */
- (void)awakeFromDocument:(id <IBDocuments>)document;

@end
