/* InterfaceBuilder - IBPalette.h
 * Copyright (c) 1995-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <AppKit/AppKit.h>
#import <InterfaceBuilder/IBDocuments.h>

/* InterfaceBuilder pasteboard types. */

IB_EXTERN NSString *IBObjectPboardType;
IB_EXTERN NSString *IBCellPboardType;
IB_EXTERN NSString *IBMenuPboardType;
IB_EXTERN NSString *IBMenuCellPboardType;
IB_EXTERN NSString *IBViewPboardType;
IB_EXTERN NSString *IBWindowPboardType;
IB_EXTERN NSString *IBFormatterPboardType;

@interface IBPalette : NSObject
{
    id <IBDocuments> _paletteDocument;
    NSWindow *_originalWindow;
    NSView *_paletteView;
    NSView *_draggedView;
    id _paletteBundle;
}
/* Associates a view from the palette with an object of a given pboard type. */
- (void)associateObject:(id)object ofType:(NSString *)type
	withView:(NSView *)view;

/* Called after the palette has been initialized to allow any final
 * initialization. */
- (void)finishInstantiate;

/* Returns the document associated with this palette. */
- (id <IBDocuments>)paletteDocument;

/* Returns the original window associated with this palette. */
- (NSWindow *)originalWindow;

/* Searches the palette bundle for an image of a given name. */
- (NSImage *)imageNamed:(NSString *)name;

/* Allows a palette to prevent the installation of another palette.
 * Default implementation returns YES. */
- (BOOL)shouldInstallPaletteWithPath:(NSString *)path;
@end
