/* InterfaceBuilder - IBViewAdditions.h
 * Copyright (c) 1995-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <AppKit/NSView.h>
#import <AppKit/NSCell.h>

enum IBKnobPosition {
    IBBottomLeftKnobPosition,
    IBMiddleLeftKnobPosition,
    IBTopLeftKnobPosition,
    IBMiddleTopKnobPosition,
    IBTopRightKnobPosition,
    IBMiddleRightKnobPosition,
    IBBottomRightKnobPosition,
    IBMiddleBottomKnobPosition
};
typedef enum IBKnobPosition IBKnobPosition;

@interface NSView (IBNSViewAdditions)
- (NSSize)minimumSizeFromKnobPosition:(IBKnobPosition)knobPosition;
- (NSSize)maximumSizeFromKnobPosition:(IBKnobPosition)knobPosition;
- (void)placeView:(NSRect)newFrame;
	/* The default implementation sends `setFrame:'. */

- (BOOL)allowsAltDragging;
	/* Return YES to allow the view to be alt-dragged into a matrix.
	 * The view must provide a cell for the resulting matrix. */
@end

@interface NSCell (IBNSCellAdditions)
- (NSSize)minimumSizeForCellSize:(NSSize)cellSize
	knobPosition:(IBKnobPosition)knobPosition;
- (NSSize)maximumSizeForCellSize:(NSSize)cellSize
	knobPosition:(IBKnobPosition)knobPosition;

- (void)cellWillAltDragWithSize:(NSSize)cellSize;
	/* Allows the cell to set up necessary state before alt-dragging. */
@end
